POST ticket/clubcard/payByClubcard/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| sessionId | globally unique identifier |
None. |
|
| clubcardId | globally unique identifier |
None. |
|
| paymentType | ClubcardPaymentType |
None. |
|
| objectId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"sessionId": "578da380-a1ba-4c52-a636-bb8325aee183",
"clubcardId": "17d74cdd-1eac-4ea2-8f24-0f73d2334214",
"paymentType": 1,
"objectId": "1a49d598-c338-4f2a-9be9-9b8770899fb6"
}
application/xml, text/xml
Sample:
<PayByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>17d74cdd-1eac-4ea2-8f24-0f73d2334214</clubcardId> <objectId>1a49d598-c338-4f2a-9be9-9b8770899fb6</objectId> <paymentType>MovieTicket</paymentType> <sessionId>578da380-a1ba-4c52-a636-bb8325aee183</sessionId> </PayByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "e733e3ef-bf1e-4e08-8b95-bd2b744d3a76",
"paymentId": "ab49cacc-f1fd-43bc-811b-76c8e9fc0dd1",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>e733e3ef-bf1e-4e08-8b95-bd2b744d3a76</objectId>
<paymentId>ab49cacc-f1fd-43bc-811b-76c8e9fc0dd1</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>